<id>
Better Email Hiding
</id>

<version>
1.1
</version>

<mod info>
Improves email hiding to protect members and former members from spam.

*Hides all Guest email addresses from everyone except Admin (practical in the case of Members deleting their profiles thereby exposing their email addresses to the world).

*Hide all email addresses from Guests and Bots in posts and profile. Curbs the possiblity of guests and robots harvesting email addresses for spamming. Based on Pyrrhon's mod, "Hide Email for Guests".

*Adds "(Recommended, uncheck at own risk)" to English.lng after "Hide Email from Public?".

Apply mod, upload changed files in ASCII mode.
</mod info>

<author>
whisper68
</author>

<homepage>

</homepage>

<edit file>
english.lng
</edit file>

<search for>
$txt{'721'} = "Hide Email from public?";
</search for>

<replace>
$txt{'721'} = "Hide Email from public? (Recommended, uncheck at own risk.)";
</replace>

<edit file>
Sources/Display.pl
</edit file>

<search for>
	if($musername eq "Guest") {
		$yymain .= qq~
            <BR><a href="mailto:$memail">$img{'email_sm'}</a><BR><BR>
~;
	}
</search for>

<replace>
	if($musername eq "Guest" && $settings[7] eq "Administrator" ) {
		$yymain .= qq~
            <BR><a href="mailto:$memail">$img{'email_sm'}</a><BR><BR>
~;
	}
	elsif($musername eq "Guest" || $username eq 'Guest') {
		$yymain .= qq~
            <BR><BR>
~;
	}
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	if ($memsettings[19] ne "checked" || $settings[7] eq "Administrator" || !$allow_hide_email) {
		$email = qq~<a href="mailto:$memsettings[2]">$memsettings[2]</a>~;
	}
	else { $email = qq~<i>$txt{'722'}</i>~; }
</search for>

<replace>
	if ($memsettings[19] ne "checked" || $settings[7] eq "Administrator" || !$allow_hide_email) {
  	if($username ne 'Guest') { $email = qq~<a href="mailto:$memsettings[2]">$memsettings[2]</a>~; }
	else { $email = qq~<i>$txt{'722'}</i>~; }
	}
	else { $email = qq~<i>$txt{'722'}</i>~; }
</replace>